Subject: Re: [clue] Is 2nd most active speaker a role?

From: Mark Duckworth <[email-masked]>
Date: Wed, 25 Sep 2013 07:59:37 -0400

My emails to this list from my polycom address are not getting through, so
I'm trying from a different account.  Duplicate messages might show up
later.

Comments inline.
Mark

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
> Of Paul Kyzivat
> Sent: Tuesday, September 24, 2013 2:45 PM
> To: [email-masked]
> Subject: Re: [clue] Is 2nd most active speaker a role?
>
> On 9/24/13 11:47 AM, Peter Saint-Andre wrote:
> > -----BEGIN PGP SIGNED MESSAGE-----
> > Hash: SHA1
> >
> > On 9/24/13 9:31 AM, Christer Holmberg wrote:
> >> Hi,
> >>
> >> Previously, I gave a comment on the role document, indicating that
> >> I would like to have the possibility to indicate things like "2nd
> >> most active speaker", "3rd most active speaker" etc. Etc it is a
> >> dynamic role, which isn't bound the role of a physical person, but
> >> rather to the system.
> >>
> >> However, when thinking more about it, I am not sure whether it
> >> really fits the role concept, or whether it should be something else.
> >>
> >> Do people have comments on this?
> >
> > I don't even think most active speaker is a role. IMHO a role is
> > something less dynamic (host, scribe, presenter, etc.), whereas "the
> > two or three people who are producing the most sound right now" is a
> > kind of eventing that doesn't result in changes of roles.
> >
> > Just my centigram of silver...
>
> I agree that we don't want roles that change frequently for a given
capture.
> So attaching this to a capture when speaking, and removing when not is
> a really bad idea.

 [Duckworth, Mark] I agree.

> But "most active speaker" and "second most active speaker" *could* be
> roles carried by *switched* captures. They would be statically
> assigned
> - this switched capture always contains the most active speaker.
>
> I'm undecided whether I like that. It could solve some problems for us.

[Duckworth, Mark] I'm undecided also.  I can see limited cases where it
could be useful.  It fits somewhat with "segment switching", as described
in the use cases.  But not a complete fit, because in that scenario there
is a "most active left speaker" and "most active right speaker" etc.  And
for other scenarios, like the "site switching" case, it would be more like
having a set of switched captures in a scene that collectively have a role
"most active speaker", but an individual capture would not always be most
active speaker.  So it quickly gets complicated, and would require more
thought to work out how this could be more broadly useful for CLUE.  I'll
keep it in mind as I think about the switching MCU cases we still need to
discuss.

> What do others think?
>       Thanks,
>       Paul
> > Peter
> > - --
> > Peter Saint-Andre
> > https://stpeter.im/